Index: /palm/trunk/SOURCE/biometeorology_mod.f90
===================================================================
--- /palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4539)
+++ /palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4540)
@@ -2819,57 +2780,59 @@
 !
 !-- Internal variables:
-    REAL(wp) ::  pmv          !< temp storage og predicted mean vote
-    REAL(wp) ::  pa_p50       !< ratio actual water vapour pressure to that of relative humidity of 50 %
-    REAL(wp) ::  pa           !< vapor pressure (hPa) with hard bounds
+    INTEGER(iwp) :: nreg      !<
+
     REAL(wp) ::  apa          !< natural logarithm of pa (with hard lower border)
     REAL(wp) ::  dapa         !< difference of apa and pa_p50
-    REAL(wp) ::  sqvel        !< square root of local wind velocity
+    REAL(wp) ::  dpmv_1       !<
+    REAL(wp) ::  dpmv_2       !<
     REAL(wp) ::  dtmrt        !< difference mean radiation to air temperature
+    REAL(wp) ::  pa           !< vapor pressure (hPa) with hard bounds
+    REAL(wp) ::  pa_p50       !< ratio actual water vapour pressure to that of relative humidity of 
+                              !< 50 %
+    REAL(wp) ::  pmv          !< temp storage og predicted mean vote
+    REAL(wp) ::  pmvs         !<
     REAL(wp) ::  p10          !< lower bound for pa
     REAL(wp) ::  p95          !< upper bound for pa
-    REAL(wp) ::  weight       !< 
-    REAL(wp) ::  weight2      !< 
-    REAL(wp) ::  dpmv_1       !< 
-    REAL(wp) ::  dpmv_2       !< 
-    REAL(wp) ::  pmvs         !< 
-    INTEGER(iwp) :: nreg      !< 
+    REAL(wp) ::  sqvel        !< square root of local wind velocity
+    REAL(wp) ::  weight       !<
+    REAL(wp) ::  weight2      !<
 
 !
 !-- Regression coefficients:
-    REAL(wp), DIMENSION(0:7), PARAMETER ::  bpmv = (/                          &
-     -0.0556602_wp, -0.1528680_wp, -0.2336104_wp, -0.2789387_wp,               &
-     -0.3551048_wp, -0.4304076_wp, -0.4884961_wp, -0.4897495_wp /)
-
-    REAL(wp), DIMENSION(0:7), PARAMETER ::  bpa_p50 = (/                       &
-     -0.1607154_wp, -0.4177296_wp, -0.4120541_wp, -0.0886564_wp,               &
-      0.4285938_wp,  0.6281256_wp,  0.5067361_wp,  0.3965169_wp /)
-
-    REAL(wp), DIMENSION(0:7), PARAMETER ::  bpa = (/                           &
-      0.0580284_wp,  0.0836264_wp,  0.1009919_wp,  0.1020777_wp,               &
-      0.0898681_wp,  0.0839116_wp,  0.0853258_wp,  0.0866589_wp /)
-
-    REAL(wp), DIMENSION(0:7), PARAMETER ::  bapa = (/                          &
-     -1.7838788_wp, -2.9306231_wp, -1.6350334_wp,   0.6211547_wp,              &
-      3.3918083_wp,  5.5521025_wp,  8.4897418_wp,  16.6265851_wp /)
-
-    REAL(wp), DIMENSION(0:7), PARAMETER ::  bdapa = (/                         &
-      1.6752720_wp,  2.7379504_wp,  1.2940526_wp,  -1.0985759_wp,              &
-     -3.9054732_wp, -6.0403012_wp, -8.9437119_wp, -17.0671201_wp /)
-
-    REAL(wp), DIMENSION(0:7), PARAMETER ::  bsqvel = (/                        &
-     -0.0315598_wp, -0.0286272_wp, -0.0009228_wp,  0.0483344_wp,               &
-      0.0992366_wp,  0.1491379_wp,  0.1951452_wp,  0.2133949_wp /)
-
-    REAL(wp), DIMENSION(0:7), PARAMETER ::  bta = (/                           &
-      0.0953986_wp,  0.1524760_wp,  0.0564241_wp, -0.0893253_wp,               &
-     -0.2398868_wp, -0.3515237_wp, -0.5095144_wp, -0.9469258_wp /)
-
-    REAL(wp), DIMENSION(0:7), PARAMETER ::  bdtmrt = (/                        &
-     -0.0004672_wp, -0.0000514_wp, -0.0018037_wp, -0.0049440_wp,               &
-     -0.0069036_wp, -0.0075844_wp, -0.0079602_wp, -0.0089439_wp /)
-
-    REAL(wp), DIMENSION(0:7), PARAMETER ::  aconst = (/                        &
-      1.8686215_wp,  3.4260713_wp,   2.0116185_wp,  -0.7777552_wp,             &
-     -4.6715853_wp, -7.7314281_wp, -11.7602578_wp, -23.5934198_wp /)
+    REAL(wp), DIMENSION(0:7), PARAMETER ::  bpmv = (/                                              &
+     - 0.0556602_wp, - 0.1528680_wp, - 0.2336104_wp, - 0.2789387_wp,                               &
+     - 0.3551048_wp, - 0.4304076_wp, - 0.4884961_wp, - 0.4897495_wp /)
+
+    REAL(wp), DIMENSION(0:7), PARAMETER ::  bpa_p50 = (/                                           &
+     - 0.1607154_wp, - 0.4177296_wp, - 0.4120541_wp, - 0.0886564_wp,                               &
+       0.4285938_wp,   0.6281256_wp,   0.5067361_wp,   0.3965169_wp /)
+
+    REAL(wp), DIMENSION(0:7), PARAMETER ::  bpa = (/                                               &
+       0.0580284_wp,   0.0836264_wp,   0.1009919_wp,   0.1020777_wp,                               &
+       0.0898681_wp,   0.0839116_wp,   0.0853258_wp,   0.0866589_wp /)
+
+    REAL(wp), DIMENSION(0:7), PARAMETER ::  bapa = (/                                              &
+     - 1.7838788_wp, - 2.9306231_wp, - 1.6350334_wp,    0.6211547_wp,                              &
+       3.3918083_wp,   5.5521025_wp,   8.4897418_wp,   16.6265851_wp /)
+
+    REAL(wp), DIMENSION(0:7), PARAMETER ::  bdapa = (/                                             &
+       1.6752720_wp,   2.7379504_wp,   1.2940526_wp, -  1.0985759_wp,                              &
+     - 3.9054732_wp, - 6.0403012_wp, - 8.9437119_wp, - 17.0671201_wp /)
+
+    REAL(wp), DIMENSION(0:7), PARAMETER ::  bsqvel = (/                                            &
+     - 0.0315598_wp, - 0.0286272_wp, - 0.0009228_wp,   0.0483344_wp,                               &
+       0.0992366_wp,   0.1491379_wp,   0.1951452_wp,   0.2133949_wp /)
+
+    REAL(wp), DIMENSION(0:7), PARAMETER ::  bta = (/                                               &
+       0.0953986_wp,   0.1524760_wp,   0.0564241_wp, - 0.0893253_wp,                               &
+     - 0.2398868_wp, - 0.3515237_wp, - 0.5095144_wp, - 0.9469258_wp /)
+
+    REAL(wp), DIMENSION(0:7), PARAMETER ::  bdtmrt = (/                                            &
+     - 0.0004672_wp, - 0.0000514_wp, - 0.0018037_wp, - 0.0049440_wp,                               &
+     - 0.0069036_wp, - 0.0075844_wp, - 0.0079602_wp, - 0.0089439_wp /)
+
+    REAL(wp), DIMENSION(0:7), PARAMETER ::  aconst = (/                                            &
+       1.8686215_wp,   3.4260713_wp,    2.0116185_wp, -  0.7777552_wp,                             &
+     - 4.6715853_wp, - 7.7314281_wp, - 11.7602578_wp, - 23.5934198_wp /)
 
 
@@ -2885,5 +2848,5 @@
     pmv  = pmva
 !
-!-- Water vapour pressure of air 
+!-- Water vapour pressure of air
     p10  = 0.05_wp * svp_ta
     p95  = 1.00_wp * svp_ta
@@ -2902,27 +2865,27 @@
        ENDIF
     ENDIF
-    IF ( pa > 0._wp )  THEN
+    IF ( pa > 0.0_wp )  THEN
 !
 !--    Natural logarithm of pa
        apa = LOG( pa )
     ELSE
-       apa = -5._wp
+       apa = -5.0_wp
     ENDIF
 !
 !-- Ratio actual water vapour pressure to that of a r.H. of 50 %
     pa_p50   = 0.5_wp * svp_ta
-    IF ( pa_p50 > 0._wp  .AND.  pa > 0._wp )  THEN
+    IF ( pa_p50 > 0.0_wp  .AND.  pa > 0.0_wp )  THEN
        dapa   = apa - LOG( pa_p50 )
        pa_p50 = pa / pa_p50
     ELSE
-       dapa   = -5._wp
-       pa_p50 = 0._wp
+       dapa   = -5.0_wp
+       pa_p50 = 0.0_wp
     ENDIF
 !
 !-- Square root of wind velocity
-    IF ( ws >= 0._wp )  THEN
+    IF ( ws >= 0.0_wp )  THEN
        sqvel = SQRT( ws )
     ELSE
-       sqvel = 0._wp
+       sqvel = 0.0_wp
     ENDIF
 !
@@ -2934,14 +2897,14 @@
     IF ( nreg < 0_iwp )  THEN
 !
-!--    value of the FUNCTION in the case pmv <= -1
-       deltapmv = 0._wp
+!--    Value of the FUNCTION in the case pmv <= -1
+       deltapmv = 0.0_wp
        RETURN
     ENDIF
-    weight = MOD ( pmv, 1._wp )
-    IF ( weight < 0._wp )  weight = 0._wp
+    weight = MOD ( pmv, 1.0_wp )
+    IF ( weight < 0.0_wp )  weight = 0.0_wp
     IF ( nreg > 5_iwp )  THEN
        nreg  = 5_iwp
-       weight   = pmv - 5._wp
-       weight2  = pmv - 6._wp
+       weight   = pmv - 5.0_wp
+       weight2  = pmv - 6.0_wp
        IF ( weight2 > 0_iwp )  THEN
           weight = ( weight - weight2 ) / weight
@@ -2950,33 +2913,33 @@
 !
 !-- Regression valid for 0. <= pmv <= 6., bounds are checked above
-    dpmv_1 =                                                                   &
-       + bpa(nreg) * pa                                                        &
-       + bpmv(nreg) * pmv                                                      &
-       + bapa(nreg) * apa                                                      &
-       + bta(nreg) * ta                                                        &
-       + bdtmrt(nreg) * dtmrt                                                  &
-       + bdapa(nreg) * dapa                                                    &
-       + bsqvel(nreg) * sqvel                                                  &
-       + bpa_p50(nreg) * pa_p50                                                &
-       + aconst(nreg)
-
-!    dpmv_2 = 0._wp
+    dpmv_1 =                                                                                       &
+             + bpa(nreg)     * pa                                                                  &
+             + bpmv(nreg)    * pmv                                                                 &
+             + bapa(nreg)    * apa                                                                 &
+             + bta(nreg)     * ta                                                                  &
+             + bdtmrt(nreg)  * dtmrt                                                               &
+             + bdapa(nreg)   * dapa                                                                &
+             + bsqvel(nreg)  * sqvel                                                               &
+             + bpa_p50(nreg) * pa_p50                                                              &
+             + aconst(nreg)
+
+!    dpmv_2 = 0.0_wp
 !    IF ( nreg < 6_iwp )  THEN  !< nreg is always <= 5, see above
-    dpmv_2 =                                                                   &
-       + bpa(nreg+1_iwp)     * pa                                              &
-       + bpmv(nreg+1_iwp)    * pmv                                             &
-       + bapa(nreg+1_iwp)    * apa                                             &
-       + bta(nreg+1_iwp)     * ta                                              &
-       + bdtmrt(nreg+1_iwp)  * dtmrt                                           &
-       + bdapa(nreg+1_iwp)   * dapa                                            &
-       + bsqvel(nreg+1_iwp)  * sqvel                                           &
-       + bpa_p50(nreg+1_iwp) * pa_p50                                          &
-       + aconst(nreg+1_iwp)
+    dpmv_2 =                                                                                       &
+             + bpa(nreg+1_iwp)     * pa                                                            &
+             + bpmv(nreg+1_iwp)    * pmv                                                           &
+             + bapa(nreg+1_iwp)    * apa                                                           &
+             + bta(nreg+1_iwp)     * ta                                                            &
+             + bdtmrt(nreg+1_iwp)  * dtmrt                                                         &
+             + bdapa(nreg+1_iwp)   * dapa                                                          &
+             + bsqvel(nreg+1_iwp)  * sqvel                                                         &
+             + bpa_p50(nreg+1_iwp) * pa_p50                                                        &
+             + aconst(nreg+1_iwp)
 !    ENDIF
 !
 !-- Calculate pmv modification
-    deltapmv = ( 1._wp - weight ) * dpmv_1 + weight * dpmv_2
+    deltapmv = ( 1.0_wp - weight ) * dpmv_1 + weight * dpmv_2
     pmvs = pmva + deltapmv
-    IF ( ( pmvs ) < 0._wp )  THEN
+    IF ( ( pmvs ) < 0.0_wp )  THEN
 !
 !--    Prevent negative pmv* due to problems with clothing insulation
@@ -2989,5 +2952,5 @@
 !
 !--       Set pmvs to "0" for compliance with summer clothing insulation
-          deltapmv = -1._wp * pmva
+          deltapmv = -1.0_wp * pmva
        ENDIF
     ENDIF
@@ -2995,13 +2958,11 @@
  END FUNCTION deltapmv
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> The subroutine "calc_sultr" returns a threshold value to perceived 
-!> temperature allowing to decide whether the actual perceived temperature 
-!> is linked to perecption of sultriness. The threshold values depends 
-!> on the Fanger's classical PMV, expressed here as perceived temperature 
-!> perct. 
-!------------------------------------------------------------------------------!
+!> The subroutine "calc_sultr" returns a threshold value to perceived temperature allowing to decide
+!> whether the actual perceived temperature is linked to perecption of sultriness. The threshold
+!> values depends on the Fanger's classical PMV, expressed here as perceived temperature perct.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE calc_sultr( perct_ij, dperctm, dperctstd, sultr_res )
 
@@ -3009,36 +2970,36 @@
 !
 !-- Input of the argument list:
-    REAL(wp), INTENT ( IN )  ::  perct_ij      !< Classical perceived temperature: Base is Fanger's PMV
+    REAL(wp), INTENT ( IN )  ::  perct_ij   !< Classical perceived temperature: Base is Fanger's PMV
 !
 !-- Additional output variables of argument list:
-    REAL(wp), INTENT ( OUT ) ::  dperctm    !< Mean deviation perct (classical gt) to gt* (rational gt 
-                                            !< calculated based on Gagge's rational PMV*)
-    REAL(wp), INTENT ( OUT ) ::  dperctstd  !< dperctm plus its standard deviation times a factor 
+    REAL(wp), INTENT ( OUT ) ::  dperctm    !< Mean deviation perct (classical gt) to gt* (rational 
+                                            !< gt calculated based on Gagge's rational PMV*)
+    REAL(wp), INTENT ( OUT ) ::  dperctstd  !< dperctm plus its standard deviation times a factor
                                             !< determining the significance to perceive sultriness
     REAL(wp), INTENT ( OUT ) ::  sultr_res
 !
 !-- Types of coefficients mean deviation: third order polynomial
-    REAL(wp), PARAMETER ::  dperctka =  7.5776086_wp
-    REAL(wp), PARAMETER ::  dperctkb = -0.740603_wp
-    REAL(wp), PARAMETER ::  dperctkc =  0.0213324_wp
-    REAL(wp), PARAMETER ::  dperctkd = -0.00027797237_wp
+    REAL(wp), PARAMETER ::  dperctka =   7.5776086_wp
+    REAL(wp), PARAMETER ::  dperctkb = - 0.740603_wp
+    REAL(wp), PARAMETER ::  dperctkc =   0.0213324_wp
+    REAL(wp), PARAMETER ::  dperctkd = - 0.00027797237_wp
 !
 !-- Types of coefficients mean deviation plus standard deviation
 !-- regression coefficients: third order polynomial
-    REAL(wp), PARAMETER ::  dperctsa =  0.0268918_wp
-    REAL(wp), PARAMETER ::  dperctsb =  0.0465957_wp
-    REAL(wp), PARAMETER ::  dperctsc = -0.00054709752_wp
-    REAL(wp), PARAMETER ::  dperctsd =  0.0000063714823_wp
-!
-!-- Factor to mean standard deviation defining SIGNificance for 
+    REAL(wp), PARAMETER ::  dperctsa =   0.0268918_wp
+    REAL(wp), PARAMETER ::  dperctsb =   0.0465957_wp
+    REAL(wp), PARAMETER ::  dperctsc = - 0.00054709752_wp
+    REAL(wp), PARAMETER ::  dperctsd =   0.0000063714823_wp
+!
+!-- Factor to mean standard deviation defining SIGNificance for
 !-- sultriness
-    REAL(wp), PARAMETER :: faktor = 1._wp
+    REAL(wp), PARAMETER :: faktor = 1.0_wp
 !
 !-- Initialise
-    sultr_res = 99._wp
-    dperctm   = 0._wp
-    dperctstd = 999999._wp
-
-    IF ( perct_ij < 16.826_wp  .OR.  perct_ij > 56._wp )  THEN
+    sultr_res = 99.0_wp
+    dperctm   = 0.0_wp
+    dperctstd = 999999.0_wp
+
+    IF ( perct_ij < 16.826_wp  .OR.  perct_ij > 56.0_wp )  THEN
 !
 !--    Unallowed value of classical perct!
@@ -3047,25 +3008,24 @@
 !
 !-- Mean deviation dependent on perct
-    dperctm = dperctka + dperctkb * perct_ij + dperctkc * perct_ij**2._wp +    &
-       dperctkd * perct_ij**3._wp
+    dperctm = dperctka + dperctkb * perct_ij + dperctkc * perct_ij**2.0_wp + dperctkd *            &
+              perct_ij**3.0_wp
 !
 !-- Mean deviation plus its standard deviation
-    dperctstd = dperctsa + dperctsb * perct_ij + dperctsc * perct_ij**2._wp +  &
-       dperctsd * perct_ij**3._wp
+    dperctstd = dperctsa + dperctsb * perct_ij + dperctsc * perct_ij**2.0_wp + dperctsd *          &
+                perct_ij**3.0_wp
 !
 !-- Value of the FUNCTION
     sultr_res = dperctm + faktor * dperctstd
-    IF ( ABS( sultr_res ) > 99._wp )  sultr_res = +99._wp
+    IF ( ABS( sultr_res ) > 99.0_wp )  sultr_res = +99.0_wp
 
  END SUBROUTINE calc_sultr
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Multiple linear regression to calculate an increment delta_cold, 
-!> to adjust Fanger's classical PMV (pmva) by Gagge's 2 node model, 
-!> applying Fanger's convective heat transfer coefficient, hcf.
-!> Wind velocitiy of the reference environment is 0.10 m/s 
-!------------------------------------------------------------------------------!
+!> Multiple linear regression to calculate an increment delta_cold, to adjust Fanger's classical PMV
+!> (pmva) by Gagge's 2 node model, applying Fanger's convective heat transfer coefficient, hcf.
+!> Wind velocitiy of the reference environment is 0.10 m/s
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE dpmv_cold( pmva, ta, ws, tmrt, nerr, dpmv_cold_res )
 
@@ -3075,21 +3035,24 @@
     REAL(wp), INTENT ( IN ) ::  pmva   !< Fanger's classical predicted mean vote
     REAL(wp), INTENT ( IN ) ::  ta     !< Air temperature 2 m above ground (degC)
+    REAL(wp), INTENT ( IN ) ::  tmrt   !< Mean radiant temperature (degC)
     REAL(wp), INTENT ( IN ) ::  ws     !< Relative wind velocity 1 m above ground (m/s)
-    REAL(wp), INTENT ( IN ) ::  tmrt   !< Mean radiant temperature (degC)
 !
 !-- Type of output argument
-    INTEGER(iwp), INTENT ( OUT ) ::  nerr !< Error indicator: 0 = o.k., +1 = denominator for intersection = 0
-    REAL(wp),     INTENT ( OUT ) ::  dpmv_cold_res    !< Increment to adjust pmva according to the results of Gagge's 
-                                                      !< 2 node model depending on the input
+    INTEGER(iwp), INTENT ( OUT ) ::  nerr !< Error indicator: 0 = o.k., +1 = denominator for 
+                                          !< intersection = 0
+
+    REAL(wp),     INTENT ( OUT ) ::  dpmv_cold_res    !< Increment to adjust pmva according to the 
+                                                      !< results of Gagge's 2 node model depending on the input
 !
 !-- Type of program variables
+    INTEGER(iwp) ::  i          !< running index
+    INTEGER(iwp) ::  i_bin      !< result row number
+
     REAL(wp) ::  delta_cold(3)
+    REAL(wp) ::  dtmrt          !< delta mean radiant temperature
     REAL(wp) ::  pmv_cross(2)
     REAL(wp) ::  reg_a(3)
     REAL(wp) ::  r_denominator  !< the regression equations denominator
-    REAL(wp) ::  dtmrt          !< delta mean radiant temperature
     REAL(wp) ::  sqrt_ws        !< sqare root of wind speed
-    INTEGER(iwp) ::  i          !< running index
-    INTEGER(iwp) ::  i_bin      !< result row number
 
 !    REAL(wp) ::  coeff(3,5)  !< unsafe! array is (re-)writable!
@@ -3104,13 +3067,13 @@
 !-- Coefficient of the 3 regression lines:
 !      1:const      2:*pmva    3:*ta          4:*sqrt_ws     5:*dtmrt
-    REAL(wp), DIMENSION(1:3,1:5), PARAMETER ::  coeff = RESHAPE( (/            &
-        0.161_wp,   0.130_wp, -1.125E-03_wp,  1.106E-03_wp, -4.570E-04_wp,     &
-        0.795_wp,   0.713_wp, -8.880E-03_wp, -1.803E-03_wp, -2.816E-03_wp,     &
-        0.05761_wp, 0.458_wp, -1.829E-02_wp, -5.577E-03_wp, -1.970E-03_wp      &
-       /), SHAPE(coeff), order=(/ 2, 1 /) )
+    REAL(wp), DIMENSION(1:3,1:5), PARAMETER ::  coeff = RESHAPE( (/                                &
+        0.161_wp,   0.130_wp, -1.125E-03_wp,  1.106E-03_wp, -4.570E-04_wp,                         &
+        0.795_wp,   0.713_wp, -8.880E-03_wp, -1.803E-03_wp, -2.816E-03_wp,                         &
+        0.05761_wp, 0.458_wp, -1.829E-02_wp, -5.577E-03_wp, -1.970E-03_wp                          &
+       /), SHAPE( coeff ), order=(/ 2, 1 /)                    )
 !
 !-- Initialise
     nerr           = 0_iwp
-    dpmv_cold_res  = 0._wp
+    dpmv_cold_res  = 0.0_wp
     dtmrt          = tmrt - ta
     sqrt_ws        = ws
@@ -3121,5 +3084,5 @@
     ENDIF
 
-    delta_cold = 0._wp
+    delta_cold = 0.0_wp
     pmv_cross = pmva
 
@@ -3127,6 +3090,5 @@
 !-- Determine regression constant for given meteorological conditions
     DO  i = 1, 3
-       reg_a(i) = coeff(i,1) + coeff(i,3) * ta + coeff(i,4) *                  &
-                  sqrt_ws + coeff(i,5)*dtmrt 
+       reg_a(i) = coeff(i,1) + coeff(i,3) * ta + coeff(i,4) * sqrt_ws + coeff(i,5)*dtmrt
        delta_cold(i) = reg_a(i) + coeff(i,2) * pmva
     ENDDO
@@ -3152,35 +3114,36 @@
     ENDDO
 !
-!-- Adjust to operative temperature scaled according 
-!-- to classical PMV (Fanger)
+!-- Adjust to operative temperature scaled according to classical PMV (Fanger)
     dpmv_cold_res = delta_cold(i_bin) - dpmv_cold_adj(pmva)
 
  END SUBROUTINE dpmv_cold
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Calculates the summand dpmv_cold_adj adjusting to the operative temperature 
-!> scaled according to classical PMV (Fanger) for cold conditions.
-!> Valid for reference environment: v (1m) = 0.10 m/s, dTMRT = 0 K, r.h. = 50 %
-!------------------------------------------------------------------------------!
+!> Calculates the summand dpmv_cold_adj adjusting to the operative temperature scaled according to
+!> classical PMV (Fanger) for cold conditions. Valid for reference environment: v (1m) = 0.10 m/s,
+!> dTMRT = 0 K, r.h. = 50 %
+!--------------------------------------------------------------------------------------------------!
  REAL(wp) FUNCTION dpmv_cold_adj( pmva )
 
     IMPLICIT NONE
 
-    REAL(wp), INTENT ( IN ) ::  pmva        !< (adjusted) Predicted Mean Vote
-
-    REAL(wp)      ::  pmv     !< pmv-part of the regression
     INTEGER(iwp)  ::  i       !< running index
     INTEGER(iwp)  ::  thr     !< thermal range
+
+    REAL(wp), INTENT ( IN ) ::  pmva        !< (adjusted) Predicted Mean Vote
+
+    REAL(wp)  ::  pmv     !< pmv-part of the regression
+
 !
 !-- Provide regression coefficients for three thermal ranges:
-!--    slightly cold  cold           very cold
-    REAL(wp), DIMENSION(1:3,0:3), PARAMETER ::  coef = RESHAPE( (/             &
-       0.0941540_wp, -0.1506620_wp, -0.0871439_wp,                             &
-       0.0783162_wp, -1.0612651_wp,  0.1695040_wp,                             &
-       0.1350144_wp, -1.0049144_wp, -0.0167627_wp,                             &
-       0.1104037_wp, -0.2005277_wp, -0.0003230_wp                              &
-       /), SHAPE(coef), order=(/ 1, 2 /) )
+!--                                                    slightly cold  cold           very cold
+    REAL(wp), DIMENSION(1:3,0:3), PARAMETER ::  coef = RESHAPE( (/                                 &
+                                                       0.0941540_wp, -0.1506620_wp, -0.0871439_wp, &
+                                                       0.0783162_wp, -1.0612651_wp,  0.1695040_wp, &
+                                                       0.1350144_wp, -1.0049144_wp, -0.0167627_wp, &
+                                                       0.1104037_wp, -0.2005277_wp, -0.0003230_wp  &
+                                                                 /), SHAPE(coef), order=(/ 1, 2 /) )
 !
 !-- Select thermal range
@@ -3195,5 +3158,5 @@
 !-- Initialize
     dpmv_cold_adj = coef(thr,0)
-    pmv           = 1._wp
+    pmv           = 1.0_wp
 !
 !-- Calculate pmv adjustment (dpmv_cold_adj)
@@ -3206,13 +3169,12 @@
  END FUNCTION dpmv_cold_adj
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Based on perceived temperature (perct) as input, ireq_neutral determines 
-!> the required clothing insulation (clo) for thermally neutral conditions 
-!> (neither body cooling nor body heating). It is related to the Klima- 
-!> Michel activity level (134.682 W/m2). IREQ_neutral is only defined 
-!> for perct < 10 (degC)
-!------------------------------------------------------------------------------!
+!> Based on perceived temperature (perct) as input, ireq_neutral determines the required clothing
+!> insulation (clo) for thermally neutral conditions (neither body cooling nor body heating). It is
+!> related to the Klima-Michel activity level (134.682 W/m2). IREQ_neutral is only defined for perct
+!> < 10 (degC)
+!--------------------------------------------------------------------------------------------------!
  REAL(wp) FUNCTION ireq_neutral( perct_ij, ireq_minimal, nerr )
 
@@ -3220,7 +3182,8 @@
 !
 !-- Type declaration of arguments
+    INTEGER(iwp), INTENT ( OUT ) ::  nerr
+
     REAL(wp),     INTENT ( IN )  ::  perct_ij
     REAL(wp),     INTENT ( OUT ) ::  ireq_minimal
-    INTEGER(iwp), INTENT ( OUT ) ::  nerr
 !
 !-- Type declaration for internal varables
@@ -3254,21 +3217,24 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> The SUBROUTINE surface area calculates the surface area of the individual
-!> according to its height (m), weight (kg), and age (y)
-!------------------------------------------------------------------------------!
+!> The SUBROUTINE surface area calculates the surface area of the individual according to its height
+!> (m), weight (kg), and age (y)
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE surface_area( height_cm, weight, age, surf )
 
     IMPLICIT NONE
 
+    INTEGER(iwp), INTENT(in)  ::  age
+
+    REAL(wp)    , INTENT(in)  ::  height_cm
     REAL(wp)    , INTENT(in)  ::  weight
-    REAL(wp)    , INTENT(in)  ::  height_cm
-    INTEGER(iwp), INTENT(in)  ::  age
+
     REAL(wp)    , INTENT(out) ::  surf
+
     REAL(wp)                  ::  height
 
-    height = height_cm * 100._wp
+    height = height_cm * 100.0_wp
 !
 !-- According to Gehan-George, for children
@@ -3282,6 +3248,6 @@
     ENDIF
 !
-!-- DuBois D, DuBois EF: A formula to estimate the approximate surface area if 
-!-- height and weight be known. In: Arch. Int. Med.. 17, 1916, pp. 863:871.
+!-- DuBois D, DuBois EF: A formula to estimate the approximate surface area if height and weight be
+!>  known. In: Arch. Int. Med.. 17, 1916, pp. 863:871.
     surf = 0.007184_wp * height**0.725_wp * weight**0.425_wp
     RETURN
@@ -3289,5 +3255,5 @@
  END SUBROUTINE surface_area
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
@@ -3303,31 +3269,36 @@
 !>  - work load (W)
 !> for a sample human.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE persdat( age, weight, height, sex, work, a_surf, actlev )
 
     IMPLICIT NONE
 
+    INTEGER(iwp), INTENT(in) ::  sex
+
+
     REAL(wp), INTENT(in) ::  age
+    REAL(wp), INTENT(in) ::  height
     REAL(wp), INTENT(in) ::  weight
-    REAL(wp), INTENT(in) ::  height
     REAL(wp), INTENT(in) ::  work
-    INTEGER(iwp), INTENT(in) ::  sex
+
     REAL(wp), INTENT(out) ::  actlev
+
     REAL(wp) ::  a_surf
+    REAL(wp) ::  basic_heat_prod
     REAL(wp) ::  energy_prod
+    REAL(wp) ::  factor
     REAL(wp) ::  s
-    REAL(wp) ::  factor
-    REAL(wp) ::  basic_heat_prod
+
 
     CALL surface_area( height, weight, INT( age ), a_surf )
-    s = height * 100._wp / ( weight**( 1._wp / 3._wp ) )
-    factor = 1._wp + .004_wp  * ( 30._wp - age )
-    basic_heat_prod = 0.
+    s = height * 100.0_wp / ( weight**( 1.0_wp / 3.0_wp ) )
+    factor = 1.0_wp + .004_wp  * ( 30.0_wp - age )
+    basic_heat_prod = 0.0_wp
     IF ( sex == 1_iwp )  THEN
-       basic_heat_prod = 3.45_wp * weight**( 3._wp / 4._wp ) * ( factor +      &
-                     .01_wp  * ( s - 43.4_wp ) )
+       basic_heat_prod = 3.45_wp * weight**( 3.0_wp / 4.0_wp ) * ( factor + 0.01_wp                &
+                         * ( s - 43.4_wp ) )
     ELSE IF ( sex == 2_iwp )  THEN
-       basic_heat_prod = 3.19_wp * weight**( 3._wp / 4._wp ) * ( factor +      &
-                    .018_wp * ( s - 42.1_wp ) )
+       basic_heat_prod = 3.19_wp * weight**( 3.0_wp / 4.0_wp ) * ( factor + 0.018_wp               &
+                         * ( s - 42.1_wp ) )
     ENDIF
 
